:host {
  display: block;
  max-width: 50%;
  padding: 0.5rem;
  a {
    display: block;
    border: 1px solid rgba(92, 115, 204, 0.36);
    box-shadow: 5px 5px rgba(92, 115, 204, 0.15);
    border-radius: 5px;
    padding : 0.5rem;
    padding-right: 2rem;
    position: relative;
    overflow: hidden;
    i {
      position: absolute;
      top: 0.5rem;
      right: 0.5rem;
      transform: translateY(-200%);
      transition: transform 500ms ease-in-out;
    }
    &:hover {
      i {
        transform: translateY(0);
      }

    }
  }
}
